> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Generation by ID

> Get a generations status and data, you can use this endpoint for polling if you don't have a webhook setup.



## OpenAPI

````yaml /api-1(21).json get /v2/generation/{id}
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/{id}:
    get:
      tags:
        - Manage Generations
      summary: Get a Generation by ID
      description: >-
        Get a generations status and data, you can use this endpoint for polling
        if you don't have a webhook setup.
      operationId: getV2GenerationById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - completed
                      outputs:
                        type: array
                        items:
                          type: object
                          properties:
                            private:
                              type: string
                              description: Download link that requires an API key
                            publicTemporary:
                              type: string
                              description: >-
                                Temporary download link (valid for 10-30
                                minutes), does not require an API key
                          required:
                            - private
                            - publicTemporary
                          additionalProperties: false
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                      - outputs
                    additionalProperties: false
                    title: Completed
                    description: >-
                      The generation is complete and you can get the download
                      links from the response
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - failed
                      errorMessage:
                        type: string
                      reason:
                        type: string
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                      - errorMessage
                      - reason
                    additionalProperties: false
                    title: Failed
                    description: >-
                      The generation failed, the reason is provided in the
                      response.
                  - type: object
                    properties:
                      apiKeyId:
                        type: string
                      creditCost:
                        type: number
                      createdAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      completedAt:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: timestamp in milliseconds since epoch
                      webhookUrl:
                        type: string
                      input:
                        type: object
                        properties:
                          prompt:
                            type: string
                          model:
                            type: string
                            enum:
                              - topaz-video
                              - heygen
                              - hailuo-2
                              - hailuo-23
                              - kling-25
                              - kling-26
                              - kling-3
                              - kling-3-turbo
                              - kling-motion
                              - kling-motion-3
                              - kling-lipsync
                              - o1-elements
                              - o1-frames
                              - o1-transformation
                              - o1-video-reference
                              - o3-elements
                              - o3-frames
                              - o3-transformation
                              - o3-video-reference
                              - midjourney-sd
                              - seedance-pro-fast
                              - bytedance-upscale
                              - seedance-2
                              - seedance-2-mini
                              - lip-sync
                              - avatar-talk
                              - topaz
                              - normal-upscale
                              - o1
                              - o3
                              - kling-element-gen
                              - kontext
                              - flux1.1-pro-ultra
                              - seedream-4
                              - seedream-45
                              - gemini-2-5
                              - gemini-3
                              - nano-2
                              - gpt-image
                              - gpt-image-1.5
                              - midjourney
                              - crystal
                              - gpt-image-2
                              - seedream5-lite
                              - elevenlabs-2
                              - elevenlabs-3
                          type:
                            type: string
                            enum:
                              - video
                              - audio
                              - image
                              - prompt
                          inputImageIds:
                            type: array
                            items:
                              type: string
                          inputVideoIds:
                            type: array
                            items:
                              type: string
                          inputAudioIds:
                            type: array
                            items:
                              type: string
                        required:
                          - prompt
                          - model
                          - type
                          - inputImageIds
                          - inputVideoIds
                          - inputAudioIds
                        additionalProperties: false
                      status:
                        type: string
                        enum:
                          - processing
                    required:
                      - apiKeyId
                      - creditCost
                      - createdAt
                      - input
                      - status
                    additionalProperties: false
                    title: Processing
                    description: The generation is in progress and is not yet complete
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````